use crate::mos6502cpu::Mos6502Cpu;
use crate::traits::bus_device::BusDevice;

impl BusDevice for Mos6502Cpu {
    fn min_offset(&self) -> u16 { 0 }

    fn max_offset(&self) -> u16 {
        0x7fff
    }

    fn address_bus(&self) -> u16 {
        self.address_bus
    }

    fn data_bus(&self) -> u8 {
        self.data_bus
    }

    fn set_address_bus(&mut self, new_value: u16) {
        self.address_bus = new_value;
    }

    fn set_data_bus(&mut self, new_value: u8) {
        self.data_bus = new_value;
    }

}